import PropTypes from 'prop-types';
import classes from './styles.module.scss';

/**
 * A note inside a module.
 */
const ModuleInnerNote = function ModuleInnerNote(props) {
  const {
    children
  } = props;
  return <div className={classes.note}>
      {children}
    </div>;
};
ModuleInnerNote.defaultProps = {
  children: undefined
};
ModuleInnerNote.propTypes = {
  /**
   * The contents of the note.
   */
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.arrayOf(PropTypes.node)])
};
export default ModuleInnerNote;